Package org.eclipse.mat.inspections.osgi.model

# Class Bundle

java.lang.Object
org.eclipse.mat.inspections.osgi.model.Bundle

Direct Known Subclasses:
  `BundleFragment`

public class Bundle extends Object

## Constructor Summary

Constructors
Constructor
Description
`Bundle(BundleDescriptor descriptor, String location, List<BundleDescriptor> dependencies, List<BundleDescriptor> dependents, List<ExtensionPoint> extensionPoints, List<Extension> extensions, List<Service> registeredServices, List<Service> usedServices, List<BundleDescriptor> fragments)`

## Method Summary

Modifier and Type
Method
Description
`BundleDescriptor`
`getBundleDescriptor()`
`List<BundleDescriptor>`
`getDependencies()`
`List<BundleDescriptor>`
`getDependents()`
`List<ExtensionPoint>`
`getExtentionPoints()`
`List<Extension>`
`getExtentions()`
`List<BundleDescriptor>`
`getFragments()`
`String`
`getLocation()`
`List<Service>`
`getRegisteredServices()`
`List<Service>`
`getUsedServices()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bundle

public Bundle(BundleDescriptor descriptor, String location, List<BundleDescriptor> dependencies, List<BundleDescriptor> dependents, List<ExtensionPoint> extensionPoints, List<Extension> extensions, List<Service> registeredServices, List<Service> usedServices, List<BundleDescriptor> fragments)

## Method Details

### getBundleDescriptor

public BundleDescriptor getBundleDescriptor()

### getExtentionPoints

public List<ExtensionPoint> getExtentionPoints()

### getExtentions

public List<Extension> getExtentions()

### getDependencies

public List<BundleDescriptor> getDependencies()

### getLocation

public String getLocation()

### getDependents

public List<BundleDescriptor> getDependents()

### getRegisteredServices

public List<Service> getRegisteredServices()

### getUsedServices

public List<Service> getUsedServices()

### getFragments

public List<BundleDescriptor> getFragments()